org.apache.maven.scm.provider.starteam.command

## Class StarteamCommandLineUtils

- java.lang.Object
- - org.apache.maven.scm.provider.starteam.command.StarteamCommandLineUtils

-     public class StarteamCommandLineUtils
      extends Object

  Command line construction utility.
  Version:
    $Id: StarteamCommandLineUtils.java 691832 2008-09-03 23:54:44Z vsiveton $
  Author:
    Dan T. Tran

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StarteamCommandLineUtils()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addCompressionOption(org.codehaus.plexus.util.cli.Commandline cl)`
    `static void` | `addEOLOption(List args)`
    `static org.codehaus.plexus.util.cli.Commandline` | `createStarteamBaseCommandLine(String action, StarteamScmProviderRepository repo)`
    `static org.codehaus.plexus.util.cli.Commandline` | `createStarteamCommandLine(String action, List args, ScmFileSet scmFileSet, StarteamScmProviderRepository repo)`
    `static String` | `displayCommandlineWithoutPassword(org.codehaus.plexus.util.cli.Commandline cl)` Hellper method to display command line without password
    `static int` | `executeCommandline(org.codehaus.plexus.util.cli.Commandline cl, org.codehaus.plexus.util.cli.StreamConsumer consumer, org.codehaus.plexus.util.cli.CommandLineUtils.StringStreamConsumer stderr, ScmLogger logger)`
    `static String` | `getRelativeChildDirectory(String parent, String child)` Given 2 paths, make sure parent and child are on the same tree return the port of child that not in parent
    `static String` | `toJavaPath(String path)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StarteamCommandLineUtils

          public StarteamCommandLineUtils()

  - ### Method Detail

    - #### createStarteamBaseCommandLine

          public static org.codehaus.plexus.util.cli.Commandline createStarteamBaseCommandLine(String action,
                                                                               StarteamScmProviderRepository repo)

    - #### createStarteamCommandLine

          public static org.codehaus.plexus.util.cli.Commandline createStarteamCommandLine(String action,
                                                                           List args,
                                                                           ScmFileSet scmFileSet,
                                                                           StarteamScmProviderRepository repo)

    - #### addCompressionOption

          public static void addCompressionOption(org.codehaus.plexus.util.cli.Commandline cl)

    - #### addEOLOption

          public static void addEOLOption(List args)

    - #### toJavaPath

          public static String toJavaPath(String path)

    - #### displayCommandlineWithoutPassword

          public static String displayCommandlineWithoutPassword(org.codehaus.plexus.util.cli.Commandline cl)
                                                          throws ScmException

      Hellper method to display command line without password
      Parameters:
        `cl` -
      Returns:
        String
      Throws:
        `ScmException`

    - #### executeCommandline

          public static int executeCommandline(org.codehaus.plexus.util.cli.Commandline cl,
                               org.codehaus.plexus.util.cli.StreamConsumer consumer,
                               org.codehaus.plexus.util.cli.CommandLineUtils.StringStreamConsumer stderr,
                               ScmLogger logger)
                                        throws ScmException

      Throws:
        `ScmException`

    - #### getRelativeChildDirectory

          public static String getRelativeChildDirectory(String parent,
                                         String child)

      Given 2 paths, make sure parent and child are on the same tree return the port of child that not in parent
      Parameters:
        `parent` -
        `child` -
      Returns:

Copyright © 2003–2015. All rights reserved.